Bug 1455010 - Trim whitespaces in the user provided text in the cockpit UI
Summary: Trim whitespaces in the user provided text in the cockpit UI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: ---
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ovirt-4.1.5
: 0.10.7-0.0.23
Assignee: Gobinda Das
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-3 1480607 RHHI-1.1-Approved-Backlog-BZs
TreeView+ depends on / blocked
 
Reported: 2017-05-24 02:42 UTC by SATHEESARAN
Modified: 2017-08-28 10:26 UTC (History)
4 users (show)

Fixed In Version: cockpit-ovirt-0.10.7-0.0.23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1483521 (view as bug list)
Environment:
Last Closed: 2017-08-23 08:05:05 UTC
oVirt Team: Gluster
sasundar: ovirt-4.1?
sasundar: planning_ack?
rbarry: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 80182 master MERGED Trimed whitespaces for all properties of Volumes and Bricks bug-url: https://bugzilla.redhat.com/show_bug.cgi?id=1455010 2017-08-09 18:07:07 UTC
oVirt gerrit 80190 ovirt-4.1 MERGED Trimed whitespaces for all properties of Volumes and Bricks bug-url: https://bugzilla.redhat.com/show_bug.cgi?id=1455010 2017-08-09 18:06:59 UTC

Description SATHEESARAN 2017-05-24 02:42:55 UTC
Description of problem:
-----------------------
Whitespaces in the value of the text fields should be trimmed as these values are passed straight away in to gdeploy config files.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
RHVH 4.1
cockpit-ovirt-dashboard-0.10.7-0.0.18

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. While specifying the volume name and brick's mount point, leave a space after  specifying the mount point value

Actual results:
---------------
The space is passed on the gdeploy config file. [volume] section has bricks with space

Expected results:
-----------------
All the text that obtains the input from user should filter out the whitespaces

Comment 1 SATHEESARAN 2017-08-21 10:06:37 UTC
Verified with cockpit-ovirt-dashboard-0.10.7-0.0.23.el7ev.noarch
User input values for 'Bricks' and 'volume' text fields are  whitespaces trimmed

However the hostnames, package names, repo names are not whitespace trimmed.
I will open a separate bug for the fix


Note You need to log in before you can comment on or make changes to this bug.